Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.oci
Class Statement

    java.lang.Object
      |
      +--weblogic.jdbcbase.oci.Statement
            |
            +--weblogic.jdbc.oci.Statement

Direct Known Subclasses:
  weblogic.jdbc.oci.PreparedStatement

public class Statement
extends weblogic.jdbcbase.oci.Statement
implements java.sql.Statement

This class contains WebLogic extensions to JDBC to support parsing of SQL statements and adjusting of the fetch size. Only the extensions are documented here.

Version:
  2.0
Author:
  Copyright (c) 1999 by BEA WebXpress. All Rights Resrved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.oci.Statement
`binded, closed, connection, current_queryresult, cursorparams, doExtendedSQL, fetchsize, jdk_codeset, lastvalnull, maxfieldsize, maxrows, nullvalid, ociconn, ocicursor, updatecnt, warnings`

Constructor Summary
`Statement()`

Method Summary
`void` | `fetchSize(int size)` Allows tuning of the size of prefetch array used for Oracle row results.
`java.sql.Connection` | `getConnection()`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`int` | `getResultSetConcurrency()`
`int` | `getResultSetType()`
`void` | `setFetchDirection(int direction)`
`void` | `setFetchSize(int rows)`
`void` | `setNull(int parameterIndex, int sqlType)`

Methods inherited from class weblogic.jdbcbase.oci.Statement
`addBatch, addBatch, addWarning, cancel, checkIfArgNull, checkIfClosed, checkJdbcSql, clearBatch, clearParameters, clearWarnings, close_cursor, close, execute, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, fetchSize, finalize, getBigDecimal, getBoolean, getByte, getBytes, getDate, getDouble, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getQueryTimeout, getResultSet, getResultSet, getShort, getString, getTime, getTimestamp, getUpdateCount, getWarnings, parse, registerOutParameter, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCursorName, setDate, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setObject, setObject, setObject, setQueryTimeout, setReader, setShort, setStream, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statement

    public Statement()

Method Detail

### fetchSize

    public void fetchSize(int size)

  Allows tuning of the size of prefetch array used for Oracle row results. Oracle provides the means to do data prefetch in batches, which decreases network traffic and latency for row requests.

  The default batch size is 100. Memory for 100 rows is allocated in the native stack for every query. For queries that need fewer rows, this size can be adjusted appropriately. This saves on the swappable image size of the application and will benefit performance if only as many rows as needed are fetched.

  Parameters:
    `size` - Number of rows for prefetch
  Overrides:
    fetchSize in class weblogic.jdbcbase.oci.Statement

### setNull

    public void setNull(int parameterIndex,
                        int sqlType)
                 throws java.sql.SQLException

  Overrides:
    setNull in class weblogic.jdbcbase.oci.Statement

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Specified by:
    setFetchDirection in interface java.sql.Statement

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Specified by:
    getFetchDirection in interface java.sql.Statement

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  Specified by:
    setFetchSize in interface java.sql.Statement

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Specified by:
    getFetchSize in interface java.sql.Statement

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws java.sql.SQLException

  Specified by:
    getResultSetConcurrency in interface java.sql.Statement

### getResultSetType

    public int getResultSetType()
                         throws java.sql.SQLException

  Specified by:
    getResultSetType in interface java.sql.Statement

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    getConnection in interface java.sql.Statement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD